Hoppa till huvudinnehåll
POST
/
hailuo
/
videos
Hailuo Videos
curl --request POST \
  --url https://api.acedata.cloud/hailuo/videos \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "2.0",
  "action": "generate",
  "prompt": "火气",
  "callback_url": "<string>",
  "first_image_url": "<string>"
}
'
{
  "data": [
    {
      "id": "75d8e08f-b25f-450e-9496-7b52e393098b",
      "lyric": "[Verse]\nSleigh bells ringin', choirs singin'\nSnowflakes fallin', presents glistenin' (glistenin')\nIn the air, there's a feeling of joy\nSpreadin' love to every girl and boy\n[Verse 2]\nCandles glowin', fire cracklin'\nStockings hangin', children wrappin'\nWith a smile, they unwrap their surprise\nIn their hearts, the magic never dies\n[Chorus]\nJingle all the way (jingle all the way)\nIn the winter wonderland, we play (oh-oh)\nHear the carols echo through the night (echo through the night)\nMerry Christmas, oh what a delight (oh-oh-oh)",
      "model": "chirp-v3",
      "style": "pop upbeat",
      "title": "Jingle All the Way",
      "prompt": "a christmas song",
      "audio_url": "https://audiopipe.suno.ai/?item_id=75d8e08f-b25f-450e-9496-7b52e393098b",
      "image_url": "https://cdn1.suno.ai/image_75d8e08f-b25f-450e-9496-7b52e393098b.png",
      "video_url": "",
      "created_at": "2024-04-03T11:54:30.424Z"
    },
    {
      "id": "e639fefd-bbd3-4858-b16d-45e7d4aa9313",
      "lyric": "[Verse]\nSleigh bells ringin', choirs singin'\nSnowflakes fallin', presents glistenin' (glistenin')\nIn the air, there's a feeling of joy\nSpreadin' love to every girl and boy\n[Verse 2]\nCandles glowin', fire cracklin'\nStockings hangin', children wrappin'\nWith a smile, they unwrap their surprise\nIn their hearts, the magic never dies\n[Chorus]\nJingle all the way (jingle all the way)\nIn the winter wonderland, we play (oh-oh)\nHear the carols echo through the night (echo through the night)\nMerry Christmas, oh what a delight (oh-oh-oh)",
      "model": "chirp-v3",
      "style": "pop upbeat",
      "title": "Jingle All the Way",
      "prompt": "a christmas song",
      "audio_url": "https://audiopipe.suno.ai/?item_id=e639fefd-bbd3-4858-b16d-45e7d4aa9313",
      "image_url": "https://cdn1.suno.ai/image_e639fefd-bbd3-4858-b16d-45e7d4aa9313.png",
      "video_url": "",
      "created_at": "2024-04-03T11:54:30.424Z"
    }
  ],
  "success": true
}

Auktoriseringar

Authorization
string
header
obligatorisk

Rubriker

accept
enum<string>

Specifies the format of the response from the server. If not specified, the default format is application/json. If application/x-ndjson is specified, the response will be in newline-delimited JSON format, streaming the response chunk by chunk

Tillgängliga alternativ:
application/json,
application/x-ndjson

Kropp

application/json
model
enum<string>
obligatorisk

The model used to generate the videos, default value is minimax-t2v

Tillgängliga alternativ:
minimax-i2v,
minimax-t2v,
minimax-i2v-director
Exempel:

"2.0"

action
enum<string>
obligatorisk

The action to generate the video. If generate, the video will be generated from the prompt.

Tillgängliga alternativ:
generate
Exempel:

"generate"

prompt
string
obligatorisk

The prompt which used to generate the video.

Exempel:

"火气"

callback_url
string

The callback URL which will be called when the video is generated

first_image_url
string

You can specify the first frame to generate video.

Svar

OK, the request is successful.

data
object

The output music items generated from the prompt

success
boolean

The flag indicates the request is successful or not